Package org.stianloader.picoresolve.internal.meta

# Class VersionCatalogue.SnapshotVersion

java.lang.Object
org.stianloader.picoresolve.internal.meta.VersionCatalogue.SnapshotVersion

Enclosing class:
  VersionCatalogue

@Internal public static class VersionCatalogue.SnapshotVersion extends Object

## Constructor Summary

Constructors
Constructor
Description
`SnapshotVersion(@NotNull String extension, @Nullable String classifier, @NotNull String version, @NotNull String lastUpdated)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`classifier()`
`boolean`
`equals(Object obj)`
`@NotNull String`
`extension()`
`int`
`hashCode()`
`@NotNull String`
`lastUpdated()`
`@NotNull String`
`version()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnapshotVersion

public SnapshotVersion(@NotNull @NotNull String extension, @Nullable @Nullable String classifier, @NotNull @NotNull String version, @NotNull @NotNull String lastUpdated)

## Method Details

### classifier

@Nullable public @Nullable String classifier()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### extension

@NotNull public @NotNull String extension()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### lastUpdated

@NotNull public @NotNull String lastUpdated()

### version

@NotNull public @NotNull String version()